- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pkgutil – Manage CSW-Packages on Solaris

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Manages CSW packages (SVR4 format) on Solaris 10 and 11.
- These were the native packages on Solaris <= 10 and are available as a legacy feature in Solaris 11.
- Pkgutil is an advanced packaging system, which resolves dependency on installation. It is designed for CSW packages.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Package name, e.g. (`CSWnrpe`)
site - |  | Specifies the repository path to install the package from. Its global definition is done in `/etc/opt/csw/pkgutil.conf`.
state - / required | Choices: present absent latest | Whether to install (`present`), or remove (`absent`) a package. The upgrade (`latest`) operation will update/install the package to the latest version available. Note: The module has a limitation that (`latest`) only works for one package, not lists of them.
update_catalog boolean | Choices: no ← yes | If you want to refresh your catalog from the mirror, set this to (`yes`).

## Examples

    # Install a package
    - pkgutil:
        name: CSWcommon
        state: present

    # Install a package from a specific repository
    - pkgutil:
        name: CSWnrpe
        site: 'ftp://myinternal.repo/opencsw/kiel'
        state: latest

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Community. [community]

### Authors

- Alexander Winkler (@dermute)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.